Bug 187149 - Logwatch samba config doesn't account for gzipped log files
Summary: Logwatch samba config doesn't account for gzipped log files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: logwatch (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 187539
TreeView+ depends on / blocked
 
Reported: 2006-03-28 20:09 UTC by Craig Miskell
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0333
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 21:43:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0333 normal SHIPPED_LIVE logwatch bug fix update 2006-07-19 19:20:00 UTC

Description Craig Miskell 2006-03-28 20:09:13 UTC
Description of problem:
Default samba logfile config (/etc/log.d/conf/logfiles/samba.conf) doesn't 
account for the fact that logfiles might be gzipped (if logrotate is so 
configured).  It then attempts to parse gzip files, which occasionally have 
lines which match the date searches and spew binary garbage into the logwatch 
report.  Can be fixed by changing
LogFile = samba/*
to 
LogFile = samba/*.log

Version-Release number of selected component (if applicable):
logwatch-4.3.2-2.noarch

How reproducible:
Reliably, although depends on the precise contents of the gzip files

Steps to Reproduce:
1. Install logwatch, samba, and logrotate
2. Config logrotate to compress rotated logs
3. Wait for logwatch to find appropriate lines in compressed samba logs
  
Actual results:
Binary garbage (parts of gzip files) in logwatch reports

Expected results:
No garbage

Additional info:

Comment 4 Red Hat Bugzilla 2006-05-10 21:43:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0333.html



Note You need to log in before you can comment on or make changes to this bug.